Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Validate Data Objects

Check whether the given object paths can be written to the bucket before uploading them.

GET/datasets/{Dataset_Id}/objects/validate/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • object_nameQuerystringrequired
    exampletrain/images/example.png

Responses

No documented responses.